﻿using System;
using System.IO;
using System.Text;
using System.Diagnostics;

namespace TimerTest
{
    /// <summary>
    /// SampleTask の概要の説明です
    /// </summary>
    public class Sample2Task : ISchedule
    {
        private int m_finishCount = 10;
        private int m_executeCount = 0;

        #region ISchedule メンバ

        public bool IsTrigger()
        {
            return true;
        }

        public void Execute()
        {
            ///実行回数をインクリメント
            this.m_executeCount = this.m_executeCount + 1;

            Debug.WriteLine("count : " + this.m_executeCount);

            FileStream fs = new FileStream("D:/Sample2Task.log", FileMode.Append);
            using (StreamWriter sr = new StreamWriter(fs, Encoding.Default))
            {
                sr.WriteLine("Sample2 " + this.m_executeCount + " " + DateTime.Now.ToString());
            }
        }

        public bool IsFinish()
        {
            if (this.m_finishCount <= this.m_executeCount)
            {
                return true;
            }

            return false;
        }

        #endregion
    }
}
