﻿<%@ Application Language="C#" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        System.Diagnostics.Debug.WriteLine("Application_Start");

        // アプリケーションのスタートアップで実行するコードです
        TimerTest.ScheduleService.Start();
        TimerTest.ScheduleService.Singleton.Tasks.Add(new TimerTest.SampleTask());
        TimerTest.ScheduleService.Singleton.Tasks.Add(new TimerTest.Sample2Task());
    }
    
    void Application_End(object sender, EventArgs e) 
    {
        System.Diagnostics.Debug.WriteLine("Application_End");

        //  アプリケーションのシャットダウンで実行するコードです
        TimerTest.ScheduleService.End();
    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // ハンドルされていないエラーが発生したときに実行するコードです

    }

    void Session_Start(object sender, EventArgs e) 
    {
        // 新規セッションを開始したときに実行するコードです

    }

    void Session_End(object sender, EventArgs e) 
    {
        // セッションが終了したときに実行するコードです 
        // メモ: Web.config ファイル内で sessionstate モードが InProc に設定されているときのみ、
        // Session_End イベントが発生します。session モードが StateServer か、または SQLServer に 
        // 設定されている場合、イベントは発生しません。

    }
       
</script>
