﻿using System;
using System.IO;
using System.Text;
using System.Diagnostics;

namespace TimerTest
{
    /// <summary>
    /// SampleTask の概要の説明です
    /// </summary>
    public class SampleTask : ISchedule
    {
        private int m_finishCount = 5;
        private int m_executeCount = 0;

        #region ISchedule メンバ

        public bool IsTrigger()
        {
            Debug.WriteLine("IsTrigger");
            /*
            DateTime Now = DateTime.Now;

            if ((Now.Minute % 1) == 0)
            {
                return true;
            }
            return false;
            */
            return true;
        }

        public void Execute()
        {
            Debug.WriteLine("Execute");

            ///実行回数をインクリメント
            this.m_executeCount = this.m_executeCount + 1;

            Debug.WriteLine("count : " + this.m_executeCount);

            FileStream fs = new FileStream("D:/SampleTask.log", FileMode.Append);
            using (StreamWriter sr = new StreamWriter(fs, Encoding.Default))
            {
                sr.WriteLine("Sample  " + this.m_executeCount + " " + DateTime.Now.ToString());
            }
        }

        public bool IsFinish()
        {
            Debug.WriteLine("IsFinish");

            if (this.m_finishCount <= this.m_executeCount)
            {
                return true;
            }

            return false;
        }

        #endregion
    }
}
